<?php
/*
 * Plugin ViaSPIP 3.2 pour SPIP 3.2
 * (c) 2008-2018 Jean-Yves Giraud
 *
 */
if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}

function formulaires_configurer_viaspip32_verifier_dist(){
	$erreurs = array();
	if (!$pageMaxWidth = _request('pageMaxWidth')) {
		$erreurs['pageMaxWidth'] = _T("info_obligatoire");
	} elseif (!is_numeric($pageMaxWidth) || $pageMaxWidth < 1003) {
		$erreurs['pageMaxWidth'] = _T('erreur_pageMaxWidth');
	}
	if (!$asideWidth = _request('asideWidth')) {
		$erreurs['asideWidth'] = _T("info_obligatoire");
	} elseif (!is_numeric($asideWidth) || ($asideWidth < 20 || $asideWidth > 40)) {
		$erreurs['asideWidth'] = _T('erreur_asideWidth');
	}
	return $erreurs;
}
